#
# spec file for package tryton
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define majorver 3.8
Name:           tryton
Version:        %{majorver}.10
Release:        1.2
Summary:        The client of the Tryton application platform
License:        GPL-3.0
Group:          Productivity/Office/Management
Url:            http://www.tryton.org/
Source:         http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.gnu.org/gnu/health/plugins/gnuhealth-camera-plugin-latest.tar.gz
Patch0:         tryton_crypto.patch
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  python-Babel
BuildRequires:  python-Sphinx
# List of additional build dependencies
BuildRequires:  python-devel
BuildRequires:  python-gtk
BuildRequires:  python-python-dateutil
BuildRequires:  python-rsvg
BuildRequires:  python-setuptools
BuildRequires:  python-simplejson
BuildRequires:  update-desktop-files
Requires:       librsvg
#for the plugins:
Requires:       opencv
Requires:       python-GooCalendar
Requires:       python-cdecimal
Requires:       python-chardet
Requires:       python-dateutil
Requires:       python-gnupg
Requires:       python-gtk
Requires:       python-opencv
Requires:       python-pytz
Requires:       python-rsvg
Requires:       python-setuptools
Requires:       python-simplejson
Requires:       python-xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The client of the Tryton application platform.
A three-tiers  high-level general purpose application platform
written in Python and use Postgresql as database engine.
It is the core base of an Open Source ERP.
It provides modularity, scalability and security.

%prep
%setup -q
%patch0 -p1
pwd
cd %{name}/plugins/
tar --strip-components 1 -xzvf %{SOURCE1}

%install

python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# menu-entry
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop
%suse_update_desktop_file %{name}

%fdupes %{buildroot}%{_datadir}
%fdupes %{buildroot}%{_prefix}/lib

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{buildroot}%{python_sitelib}/%{name}/data/pixmaps/%{name}/%{name}-icon.png %{buildroot}%{_datadir}/pixmaps/%{name}-icon.png

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%doc COPYRIGHT LICENSE README CHANGELOG
%{_datadir}/pixmaps/*
%{python_sitelib}/*

%changelog
* Mon Oct  3 2016 axel.braun@gmx.de
- version 3.8.10
* Tue Sep  6 2016 axel.braun@gmx.de
- version 3.8.9
* Mon Apr  4 2016 axel.braun@gmx.de
- added GNUHealth Camera and OpenCV
* Thu Nov  5 2015 axel.braun@gmx.de
- Version 3.8.1
  tryton-lang removed
* Mon Oct 19 2015 axel.braun@gmx.de 
- Tryton Release 3.8
* Wed Apr 15 2015 axel.braun@gmx.de 
- Tryton Release 3.6
* Fri Feb  7 2014 axel.braun@gmx.de
- update to 3.0.2, changes to specfile
* Mon Nov 11 2013 axel.braun@gmx.de
- update to 3.0.1, patch for mime type
* Wed Oct 23 2013 axel.braun@gmx.de
- new branch 3.0
* Sat Jun 22 2013 axel.braun@gmx.de
- new spec with regard to systemd
- setup of user tryton if not existing
* Sun Mar 29 2009 axel.braun@gmx.de
- packaged tryton version 1.0.3 using the buildservice spec file wizard
